import request from '@/utils/request'

// 查询统计计量信息列表
export function listBaseMonitorWorkUnit(query) {
  return request({
    url: '/ems/base/baseMonitorWorkUnit/list',
    method: 'get',
    params: query
  })
}

// 查询统计计量信息详细
export function getBaseMonitorWorkUnit(objId) {
  return request({
    url: '/ems/base/baseMonitorWorkUnit/' + objId,
    method: 'get'
  })
}

// 新增统计计量信息
export function addBaseMonitorWorkUnit(data) {
  return request({
    url: '/ems/base/baseMonitorWorkUnit',
    method: 'post',
    data: data
  })
}

// 修改统计计量信息
export function updateBaseMonitorWorkUnit(data) {
  return request({
    url: '/ems/base/baseMonitorWorkUnit',
    method: 'put',
    data: data
  })
}

// 删除统计计量信息
export function delBaseMonitorWorkUnit(objId) {
  return request({
    url: '/ems/base/baseMonitorWorkUnit/' + objId,
    method: 'delete'
  })
}
